package cn.axzo.msg.center.push;

import cn.axzo.msg.center.service.domain.UrlConfig;
import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonIgnore;

import javax.annotation.Nullable;

/**
 * @author yanglin
 */
public interface PushMessage {

    @JsonIgnore @JSONField(serialize = false)
    String getPushTitle();

    @JsonIgnore @JSONField(serialize = false)
    String getPushContent();

    @Nullable
    @JsonIgnore @JSONField(serialize = false)
    UrlConfig getPushUrl();

    @Nullable
    @JsonIgnore @JSONField(serialize = false)
    PushData getPushData();

}